
Summary:	Arachnophilia is a Web page development workshop and general programming tool.
Summary(de):	Arachnophilia ist ein Kurs zum Erstellen von Internetseiten und ein allgemeines Programmierwerkzeug.
Name:		arachnophilia
Version:	5.5
Release:	%mkrel 2
Source0:	%{name}-%{version}.tar.xz
License:	GPL v3
Group:		Development/Java
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch:	noarch
URL:		http://vps.arachnoid.com/arachnophilia/index.php
Requires:	java
Obsoletes:	%name < %version

%description
Arachnophilia is a Web page development workshop and general programming tool.

%description -l de
Arachnophilia ist ein Kurs zum Erstellen von Internetseiten und ein allgemeines Programmierwerkzeug.

%prep
%setup -q

%build

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_datadir}/pixmaps
mkdir -p %{buildroot}%{_datadir}/%name

install -m 644 Arachnophilia.jar  %{buildroot}%{_datadir}/%name/Arachnophilia.jar
install -m 644 arachicon.png %{buildroot}%{_datadir}/pixmaps/arachicon.png


# Fix start script
cat > %{buildroot}%{_bindir}/%name << EOF
#!/bin/sh
java -jar /usr/share/%name/Arachnophilia.jar
EOF


chmod +x %{buildroot}%{_bindir}/%name

# create desktop file
mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%name.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Version=1.0
Name=Arachnophilia
Comment=Arachnophilia is a Web page development workshop and general programming tool.
Comment[de]=Arachnophilia ist ein Kurs zum Erstellen von Internetseiten und ein allgemeines Programmierwerkzeug.
Categories=Application;Development;X-MandrivaLinux-MoreApplications-Development-Tools;
Exec=%name
Icon=arachicon
Terminal=false
Type=Application
EOF

%post
%{update_desktop_database}
# Author wrote in homepage that it is better to create the users conf directory new
# on every update. So we have to backup the old one if user has own customizations
# and delete the original conf folder

SYSUSERS=$(cat /etc/passwd | grep "/bin/bash" | grep "/home" | sed -e "s/.*\/home\///g" | sed -e "s/:\/bin.*//g")
SYSUSERS=${SYSUSERS/named/}

for idx in $SYSUSERS
do
	if [ -d /home/$idx/.Arachnophilia ]; then
		# Test whether there is already a backup
		if [ -d /home/$idx/.Arachnophilia.bak ]; then
			rm -f /home/$idx/.Arachnophilia.bak
		fi

        	# Create the backup
        	mv /home/$idx/.Arachnophilia /home/$idx/.Arachnophilia.bak
    	fi      	
done

%postun
%{clean_desktop_database}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_bindir}/%name
%{_datadir}/applications/%name.desktop
%{_datadir}/%name
%{_datadir}/pixmaps/arachicon.png

%changelog
* Tue Apr 07 2015 bb <bb> 5.5-2pclos2015
- update for java

* Tue Jul 24 2012 ghostbunny <hmhaase at pclinuxosusers dot de> 5.5-1pclos2012
- initial package for pclos

